#! /bin/sh
# ----------------------------------------------------------------------------
# /tmp/preinstall.sh - php8-fpm installation
#
# Creation   :  2023-09-19 hbfl
# Last update:  $Id: install.sh 62064 2019-01-06 21:20:52Z schlotze $
#
# Copyright (c) 2023 the eisfair team, <team(at)eisfair(dot)org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# ----------------------------------------------------------------------------

# set package name
package_name=php8-fpm

# ---------------------------------------------------------------------------
# update
# ---------------------------------------------------------------------------

if [ -f /etc/init.d/${package_name} ]
then
     /usr/sbin/service stop ${package_name}
     /usr/sbin/service disable ${package_name}
     /usr/bin/rm -f /etc/rc2.d/*${package_name}
     /usr/bin/rm -f /etc/init.d/${package_name}
     /usr/sbin/service daemon-reload
     /usr/bin/rm -f /var/install/deinstall/${package_name}
fi
