#!/bin/sh
#------------------------------------------------------------------------------
# /var/install/dialog.d/PHP8_DEFAULT_CHARSET.sh
#
# Copyright (c) 2025 eisfair-Team
#
# Creation:    2025-02-22 schlotze
# Last update: $Id: PHP8FPM_DEFAULT_CHARSET.sh 61718 2018-12-25 23:04:47Z schlotze $
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

. /var/install/include/cuilib
. /var/install/include/ecelib

#----------------------------------------------------------------------------
# exec_dailog
# ece --> request to create and execute dialog
#         $p2 --> main window handle
#         $p3 --> name of config variable
#----------------------------------------------------------------------------
exec_dialog()
{
    win="$p2"

    sellist="de_AT.iso88591,de_AT.UTF-8,de_AT@euro,de_BE.iso88591,de_BE.UTF-8,de_BE@euro,de_CH.iso88591,de_CH.UTF-8,de_DE.iso88591,de_DE.UTF-8,de_DE@euro,de_LU.iso88591,de_LU.UTF-8,de_LU@euro,en_AG.UTF-8,en_AU.iso88591,en_AU.UTF-8,en_BE.iso88591,en_BE.UTF-8,en_BE@euro,en_BW.iso88591,en_BW.UTF-8,en_CA.iso88591,en_CA.UTF-8,en_DK.iso88591,en_DK.UTF-8,en_GB.iso88591,en_GB.UTF-8,en_HK.iso88591,en_HK.UTF-8,en_IE.iso88591,en_IE.UTF-8,en_IE@euro,en_IN.UTF-8,en_NG.UTF-8,en_NZ.iso88591,en_NZ.UTF-8,en_PH.iso88591,en_PH.UTF-8,en_SG.iso88591,en_SG.UTF-8,en_US.iso88591,en_US.UTF-8,en_ZA.iso88591,en_ZA.UTF-8,en_ZW.iso88591,en_ZW.UTF-8,fr_BE.iso88591,fr_BE.UTF-8,fr_BE@euro,fr_CA.iso88591,fr_CA.UTF-8,fr_CH.iso88591,fr_CH.UTF-8,fr_FR.iso88591,fr_FR.UTF-8,fr_FR@euro,fr_LU.iso88591,fr_LU.UTF-8,fr_LU@euro"

    ece_select_list_dlg "$win" "PHP8 CHARSET" "$sellist"
}

#----------------------------------------------------------------------------
# main routine
#----------------------------------------------------------------------------

cui_init
cui_run

#----------------------------------------------------------------------------
# end
#----------------------------------------------------------------------------

exit 0
